// $Date:: 2009-08-23 19:41:38 +0900#$
// $Rev: 2 $


#include "MoveChroma.h"

/**************************************************************************************************/
/* Global                                                                                         */
/**************************************************************************************************/
//==============================================================================
// Create_MoveChroma
//==============================================================================
AVSValue __cdecl Create_MoveChroma(AVSValue args, void* user_data, IScriptEnvironment* env)
{
    PClip c = args[0].AsClip() ;
    if ( c->GetVideoInfo ().IsYV12 () )
        return new MoveChromaYV12(c, args[1].AsInt(0), args[2].AsInt(0), env);

    if ( c->GetVideoInfo ().IsYUY2 () )
        return new MoveChromaYUY2(c, args[1].AsInt(0), args[2].AsInt(0), env);

    env->ThrowError("MoveChroma: Requires YUY2/YV12 input");
    return NULL ;
}

//==============================================================================
// AvisynthPluginInit2
//==============================================================================
extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
    env->AddFunction("MoveChroma", "c[Cb]i[Cr]i", Create_MoveChroma, 0);
    return "MoveChroma ver 0.1";
}
